Page MenuHomePhabricator

efl_ui_popup: add bg_set / bg_repeat_events_set/get API
AbandonedPublic

Authored by jpeg on Jul 31 2017, 4:06 AM.

Details

Summary

add bg_set, bg_repeat_events_set/get API
bg_set enables user change popup's outside bg
bg_repeat_events_set enables popup's outside bg repeat events

Test Plan
  1. run elementary_test -to efluipopup
  2. click outside area of popup
  3. click button in popup

Diff Detail

Repository
rEFL core/efl
Branch
devs/jaehyun/popup
Lint
No Linters Available
Unit
No Unit Test Coverage
Blackmole created this revision.Jul 31 2017, 4:06 AM
jpeg added a project: efl.
Jaehyun_Cho edited edge metadata.Aug 1 2017, 7:40 PM

Please apply LazyEDC style.

Blackmole updated this revision to Diff 11886.Aug 1 2017, 11:12 PM

apply LazyEDC style

Jaehyun_Cho requested changes to this revision.Aug 7 2017, 6:05 AM
Jaehyun_Cho added inline comments.
src/bin/elementary/test_popup.c
943

Please change the name to _bg_clicked

989

Please change the name block to bg.

src/lib/elementary/efl_ui_popup.c
20

please change the name block to bg

26

Please change the name block to bg

117

Please change the name block to bg

src/lib/elementary/efl_ui_popup.eo
47

Please change the event name to "bg,clicked" like other properties (e.g. bg_repeat_events, bg_set)

This revision now requires changes to proceed.Aug 7 2017, 6:05 AM
Blackmole updated this revision to Diff 11939.Aug 7 2017, 6:37 AM
Blackmole edited edge metadata.
Blackmole marked 6 inline comments as done.

block change to bg

Jaehyun_Cho retitled this revision from add bg_set / bg_repeat_events_set/get API to efl_ui_popup to efl_ui_popup: add bg_set / bg_repeat_events_set/get API.Aug 7 2017, 8:13 PM
Jaehyun_Cho accepted this revision.Aug 9 2017, 11:47 PM
This revision is now accepted and ready to land.Aug 9 2017, 11:47 PM
cedric edited edge metadata.Aug 14 2017, 10:49 AM

@jpeg , @singh.amitesh : Is that really the way we road we want to take for bg ? I was expecting we would now follow the efl_part road for this kind of feature.

jpeg requested changes to this revision.Aug 30 2017, 10:20 PM
jpeg added a subscriber: taxi2se.
In D5054#86088, @cedric wrote:

@jpeg , @singh.amitesh : Is that really the way we road we want to take for bg ? I was expecting we would now follow the efl_part road for this kind of feature.

You are correct.

src/lib/elementary/efl_ui_popup.eo
21

Not good enough. We need to figure out the common bg API first. Talk with @taxi2se

This revision now requires changes to proceed.Aug 30 2017, 10:20 PM
jpeg commandeered this revision.Nov 8 2017, 7:10 PM
jpeg edited reviewers, added: Blackmole; removed: jpeg.

Closing everything but D5037

This revision is now accepted and ready to land.Nov 8 2017, 7:10 PM
jpeg abandoned this revision.Nov 8 2017, 7:11 PM